---
title: Delete Instance
url: https://docs.vultr.com/products/storage/databases/kafka/management/settings/delete-instance
description: A step-by-step guide for permanently removing a Vultr Managed Apache Kafka® instance from your account.
publish_date: 2024-10-16T12:45:29.569168Z
last_updated: 2026-05-26T19:44:54.553717Z
---

# How to Delete Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to delete their Kafka subscription when it is no longer needed. Users can easily navigate through the interface to initiate the deletion process, ensuring a straightforward and efficient experience. This feature ensures that customers can manage their resources effectively, providing them with the flexibility to remove subscriptions as their requirements change.

Follow this guide to delete Vultr Managed Apache Kafka® using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Settings**, and select **Delete Managed Database**.
    1. Click **Destroy Database Instance**.
    1.  Select the checkbox, and click **Destroy Managed Database** on the confirmation prompt.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/delete-database) to delete the database.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Delete the database.

        ```console
        $ vultr-cli database delete <database-id>    
        ```
        
        Run `vultr-cli database delete --help` to view all options.
 
=== "Terraform"

    1. Open your Terraform configuration and locate the Managed Apache Kafka® resource.

    1. Remove the resource block or destroy it with Terraform.

        ```terraform
        resource "vultr_database" "kafka" {
            label                   = "kafka-cluster-1"
            database_engine         = "kafka"
            database_engine_version = "3.7"
            region                  = "atl"
            plan                    = "vultr-dbaas-startup-3x-occ-so-2-30-2"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_database.kafka
        ```

    1. Apply and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
    